# Synopsis Design Constraint file
# NOTE: Default time unit 1ns

# create 50MHz clock
set fclk 50.0e6;

# create clock
create_clock -name CLKI -period  [expr ceil(1.0e9/$fclk)] [get_ports CKI]
create_clock -name CLKO -period  [expr ceil(1.0e9/$fclk)] [get_ports CKO]

# Set input/output delays (idealy 0ns). 
# Currently delays are set to 2ns for both, inputs and outputs
set_input_delay -clock CLKI -add_delay 2 [all_inputs]
set_output_delay -clock CLKI -add_delay 2 [all_outputs]

# Derive clock uncertainity from input/output delays
derive_clock_uncertainty

# Update timing tables for post-synthesis simulation
update_timing_netlist

