
# Quartus II, Synthesis & Implementation

# Package import
package require ::quartus::project
package require ::quartus::flow

set hdl_file ../fifo.v
set top FIFO

# Open new project
project_new $top -overwrite

# Global configuration of the FPGA for QII Lite 15.1
set_global_assignment -name FAMILY "Cyclone IV E"
set_global_assignment -name DEVICE EP4CE40F23I7
set_global_assignment -name USE_GENERATED_PHYSICAL_CONSTRAINTS OFF -section_id eda_blast_fpga
set_global_assignment -name RESERVE_ALL_UNUSED_PINS AS_INPUT_TRI_STATED
set_global_assignment -name GENERATE_RBF_FILE ON
set_global_assignment -name MIN_CORE_JUNCTION_TEMP 0
set_global_assignment -name MAX_CORE_JUNCTION_TEMP 85
set_global_assignment -name DEVICE_FILTER_PACKAGE FBGA
set_global_assignment -name DEVICE_FILTER_PIN_COUNT 484
set_global_assignment -name DEVICE_FILTER_SPEED_GRADE 7
set_global_assignment -name ERROR_CHECK_FREQUENCY_DIVISOR 1
set_global_assignment -name NOMINAL_CORE_SUPPLY_VOLTAGE 1.2V
set_global_assignment -name EDA_SIMULATION_TOOL "ModelSim-Altera (Verilog)"
set_global_assignment -name EDA_OUTPUT_DATA_FORMAT "VERILOG HDL" -section_id eda_simulation
set_global_assignment -name FLOW_ENABLE_RTL_VIEWER ON
set_global_assignment -name VERILOG_FILE $hdl_file
set_global_assignment -name TOP_LEVEL_ENTITY $top

# For sequential logic only!
set_global_assignment -name sdc_file ./constraints.sdc

# # Pin Assignment
# set_location_assignment PIN_A3 -to DI
# set_location_assignment PIN_A4 -to DO
# set_location_assignment PIN_A5 -to CK

# # Pin/Port assignments for Altera DE1 evaluation board
# # Toggle Switch[0]
# set_location_assignment PIN_L22 -to DI
# # LEDG[0]
# set_location_assignment PIN_U22 -to DO
# # Pushbutton[0]
# set_location_assignment PIN_R22 -to CK
# # Commit assignments
# export_assignments

# # Full flow: Analysis and Synthesis + Techonogy Maping + Programing files + STA simulaton + reports
# execute_flow -compile

# # Run only Analysis and Synthesis
execute_flow -analysis_and_elaboration

# Open RTL Viewer
qnui $top

# # Close project
# project_close
